require('keymap')
require('plugins')
require('calcurse')

-- prevent cursor override
vim.cmd('set guicursor=')
-- basic settings
vim.cmd('filetype plugin indent on')
vim.cmd('set ts=4 sts=4 sw=4 expandtab')

-- hybrid numbering
vim.opt.relativenumber = true
vim.opt.number = true
vim.opt.cursorline = true

vim.opt.compatible = false

-- ignores search case unless capital is used
vim.opt.smartcase = true
vim.opt.hlsearch = true

-- colorscheme and syntax settings
vim.cmd([[
    syntax enable
    colorscheme hybrid
    hi Normal ctermbg=NONE
]])

-- defaults to transparent
transparent = true

-- timeouts
vim.opt.ttimeout = true
vim.opt.ttimeoutlen = 100

-- nvim tree basics

vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- vimwiki changes
vim.cmd([[
    let g:vimwiki_list = [{'path': '~/vimwiki/',
                    \ 'syntax': 'markdown', 'ext':'.md'}]
]])


